VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "BreZaSoft NetComp Demonstration"
   ClientHeight    =   5940
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8550
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5940
   ScaleWidth      =   8550
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton btnTelnet 
      Caption         =   "Telnet"
      Height          =   375
      Left            =   7200
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtResult 
      Height          =   5055
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   4
      Top             =   720
      Width           =   8295
   End
   Begin VB.CommandButton btnNSLookup 
      Caption         =   "&NSLookup"
      Height          =   375
      Left            =   5880
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton btnWhoIs 
      Caption         =   "&WhoIs"
      Height          =   375
      Left            =   4560
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtQuery 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Text            =   "brezasoft.com"
      Top             =   120
      Width           =   4335
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   8400
      Y1              =   600
      Y2              =   600
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub btnWhoIs_Click()
    Dim WhoIs As Object
    Dim Result As Boolean
    
    Set WhoIs = CreateObject("BZSNetComp.Whois")
    
    WhoIs.Recurse = True
    WhoIs.Timeout = 30
    
    Me.MousePointer = vbHourglass
    Me.txtResult.Text = ""
    
    On Error Resume Next
    Result = WhoIs.Query(Me.txtQuery.Text)
        
    If Result Then
        Me.txtResult.Text = Replace(WhoIs.Result, Chr(10), vbCrLf)
    Else
        Me.txtResult.Text = "Problem obtaining results." & vbCrLf & Err.Description
    End If
    On Error GoTo 0
    
    Set WhoIs = Nothing
    Me.MousePointer = vbNormal
End Sub


Private Sub btnNSLookup_Click()
    Dim NS As Object
    Dim Result As Boolean
    Dim Item
    Dim Buf As String
    
    Set NS = CreateObject("BZSNetComp.NSLookup")
    
    NS.Server = "216.68.4.10"
    
    Me.MousePointer = vbHourglass
    Me.txtResult.Text = ""
    
    On Error Resume Next
    Result = NS.Query(Me.txtQuery.Text)
    
    If Result Then
        Me.txtResult.Text = NS.Result
    Else
        Me.txtResult.Text = "Problem obtaining results." & vbCrLf & Err.Description
    End If
    On Error GoTo 0
    
    Set NS = Nothing
    Me.MousePointer = vbNormal
End Sub


Private Sub btnTelnet_Click()
    Dim Telnet As Object
    Dim Timeout As Date
    
    Set Telnet = CreateObject("BZSNetComp.Telnet")
    
    Me.MousePointer = vbHourglass
    Me.txtResult.Text = ""
    
    On Error Resume Next
    Telnet.Connect Me.txtQuery.Text, 80
    
    Telnet.Send "GET /" & Chr(10) & Chr(10)
    Telnet.Wait 10
    
    If Err.Number = 0 Then
        Me.txtResult.Text = Replace(Telnet.Received, Chr(10), vbCrLf)
    Else
        Me.txtResult.Text = "Problem obtaining results." & vbCrLf & Err.Description
    End If
    On Error GoTo 0
    
    Telnet.Disconnect
    Set Telnet = Nothing
    Me.MousePointer = vbNormal
End Sub


